=== Tools/EWebLauncher/CMakeLists.txt ===
SET(EWebLauncher_SOURCES
    ${TOOLS_DIR}/EWebLauncher/url_bar.c
    ${TOOLS_DIR}/EWebLauncher/url_utils.c
    ${TOOLS_DIR}/EWebLauncher/main.c
)

SET(EWebLauncher_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
    ${WebCore_LIBRARY_NAME}
    ${WebKit_LIBRARY_NAME}
    ${CAIRO_LIBRARIES}
    ${ECORE_LIBRARIES}
    ${ECORE_EVAS_LIBRARIES}
    ${ECORE_FILE_LIBRARIES}
    ${ECORE_X_LIBRARIES}
    ${EDJE_LIBRARIES}
    ${EINA_LIBRARIES}
    ${EVAS_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${SQLITE_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${LIBSOUP_LIBRARIES}
)

SET(EWebLauncher_INCLUDE_DIRECTORIES
    "${WEBKIT_DIR}/efl/ewk"
    ${CAIRO_INCLUDE_DIRS}
    ${ECORE_INCLUDE_DIRS}
    ${ECORE_EVAS_INCLUDE_DIRS}
    ${ECORE_FILE_INCLUDE_DIRS}
    ${ECORE_X_INCLUDE_DIRS}
    ${EDJE_INCLUDE_DIRS}
    ${EINA_INCLUDE_DIRS}
    ${EVAS_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${LIBSOUP_INCLUDE_DIRS}
)

ADD_DEFINITIONS(-DTHEME_DIR=\"${THEME_BINARY_DIR}\")

INCLUDE_DIRECTORIES(${EWebLauncher_INCLUDE_DIRECTORIES})
ADD_EXECUTABLE(EWebLauncher ${EWebLauncher_SOURCES})
TARGET_LINK_LIBRARIES(EWebLauncher ${EWebLauncher_LIBRARIES})
SET_TARGET_PROPERTIES(EWebLauncher PROPERTIES FOLDER "Tools")

ADD_DEPENDENCIES(EWebLauncher ControlTheme)
