## qtwebkit-opensource-src 5.0.1

=== debian/changelog ===
qtwebkit-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Add missing Pre-Depends for xz compression
    - Rename packages by appending the major version
    - Depend on system png/jpeg libraries
    - Depend on qtsensors5-dev and qtlocation5-dev
  * debian/*.install:
    - Adjust to the new version and library renames
  * debian/rules:
    - Remove .la files
    - Remove rpath from QtWebProcess/QtWebPluginProcess
  * debian/copyright:
    - Fix invalid UTF-8
  * Drop patches:
    - 01_lflags_as-needed.diff
    - 02_add_nostrip_for_debug_packages.diff
    - 03_hide_std_symbols.diff
    - 04_enable_debug_information.diff
    - Fix_build_with_GLib_2.31_changeset_r97269.patch
    - defines_qt_webkit.diff
    - glibc_hurd_mkspecs.diff
    - linux_amd64_no_overcommit.diff
    - upstream_changeset_r113848.diff
    - upstream_changeset_r93631.diff
  * Update patches:
    - 05_sparc_unaligned_access.diff
    - hurd.diff
    - no_gc_sections.diff (add i386/i686)
    - stabs_format_debug_info.diff (add i386/i686)
    - webkit_qt_hide_symbols.diff
  * Add patch:
    - disable_geolocation_501.diff (build failure)
    - save_memory.diff (try to conserve even more memory on arm)
  * Add Ubuntu specific patch:
    - devicePixelResolution.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 12:30:39 +0000

qtwebkit (2.2.1-5) unstable; urgency=low

  * Team upload.
  * Re upload the package to fix the M-A uninstallability due to a binNMU
    (Closes: #676162).
  * This upload will get rebuilt with xz compression (Closes: #687036).
    Thanks Ansgar Burchardt for the patch.
  * Rewrite debian/copyright to DEP-5 (Closes: #673268).
    Thanks Elena ``of Valhalla'' Grandi and Tobias Bengfort.
    The current copyright is *huge*: 12637 lines. I have reviewed it but
    there still could be errors.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Nov 2012 18:01:12 -0300

qtwebkit (2.2.1-4) unstable; urgency=high

  * Confirm new symbol file on all arches except armel and mipsel. However,
    hopefully, it will work on those two as well.
  * Urgency=high because we need multi-arch capable QtWebKit in testing as
    multi-arch Qt4 and non-multiarch QtWebKit do not play well for development
    purposes.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 May 2012 12:24:37 +0300

qtwebkit (2.2.1-3) unstable; urgency=low

  * Build Source/WebCore/generated/* with hidden visibility as well (patch
    webkit_qt_hide_symbols.diff). This reduces a symbol file a lot and brings
    it back to manageable state.
  * Update symbol file: a bunch of private WebCore symbols are gone from
    symbol table now.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 20:58:34 +0300

qtwebkit (2.2.1-2) unstable; urgency=low

  * Upload to Sid.

  [ Fathi Boudra ]
  * Build with -gstabs on armhf instead of -g, like armel.

  [ Pino Toscano ]
  * glibc_mkspec.diff: rename to glibc_hurd_mkspecs.diff, and extend to
    apply also to the hurd-g++ mkspec.
  * Bump Qt build dependency to 4:4.8.1 (for the change in paths of QML
    imports).
    - update debian/libqtwebkit-qmlwebkitplugin.install accordingly
    - mark libqtwebkit-qmlwebkitplugin as Multi-Arch: same
  * Remove ${shlibs:Depends} from libqtwebkit4-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 15:07:39 +0300

qtwebkit (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * Drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.0~. This version introduce multiarch.
    - add Multi-Arch and Pre-Depends fields to libqtwebkit4 package.
  * Update debian/*.install files for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-5) unstable; urgency=low

  * Update symbol file with the latest changes from the build logs.
  * Mark a bunch of other internal WebCore namespace symbols as
    optional=private.
  * Mark some external symbols as optional=external.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 23:35:59 +0300

qtwebkit (2.2.0-4) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Add -Wl,--no-relax to the LDFLAGS on alpha. (Closes: #656056)
  * Update the symbols file for alpha, armhf and ppc64, and for all the other
    archs from their build logs. (Closes: #653905, #656056, #664897)
  * Backport (parts of) upstream r93631 and r113848 to fix building with
    GCC 4.7. (Closes: #667346)

  [ Felix Geyer ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch, cherry-picked from
    upstream. (Closes: #665679)
  * Bump debhelper compat level to v9.
    - Use DEB_<flag>_MAINT variables instead of manipulating the flag variables
      directly.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Mark symbols having 'Private' in their name as optional=private.
  * Mark '^ _ZN7WebCore' symbols as optional=private. They are not part of
    public API.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 21:16:49 +0300

qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.
  * Update the symbols file for hurd-i386, sh4, and sparc64 architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Improve the symbols file for more archs (based on their build logs):
    armel ia64 kfreebsd-amd64 kfreebsd-i386 mips powerpc s390 s390x sparc

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Dec 2011 21:46:36 +0100

qtwebkit (2.2.0-1) unstable; urgency=low

  * New upstream release:

