## qtwebkit-opensource-src 5.1.1

=== debian/changelog ===
qtwebkit-opensource-src (5.1.1-1ubuntu8) trusty; urgency=medium

  * Copy dont_pollute_pri_and_pc_with_private_deps.patch from Debian
    (LP: #1134745).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 19 Mar 2014 14:07:02 +0400

qtwebkit-opensource-src (5.1.1-1ubuntu7) trusty; urgency=medium

  * Backport upstream patch to add AArch64 support.
  * Add a patch to disable JIT and YARR JIT when they are not needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Mar 2014 11:43:38 +0400

qtwebkit-opensource-src (5.1.1-1ubuntu6) trusty; urgency=medium

  * Rebuild in correct landing PPA.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 19:04:22 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu5) trusty; urgency=medium

  * Backporting fixes from QtWebKit 5.2 and rebuilding against the
    Qt 5.2 stack (avoid regressions with QtWebKit 5.2 on Touch)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 13 Mar 2014 00:37:53 -0300

qtwebkit-opensource-src (5.1.1-1ubuntu4) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 08:32:20 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu3) trusty; urgency=medium

  * Cherrypick patch from upstream/qt/webkit/ANGLE to fix FTBFS with bison
    3.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 14:26:17 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu2) saucy; urgency=low

  * Drop libwebp-dev dependency and disable it, not in main.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Sep 2013 16:18:00 +0300

qtwebkit-opensource-src (5.1.1-1ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * FFE is LP: #1219695.

  [ Timo Jyrinki ]
  * New upstream release
  * Drop patches now in upstream:
    - fixTriggerOSKonWebPages.patch
    - fix_gcc48.patch
    - add_module_version.patch
    - DidFirstLayout.patch
  * Drop disable_geolocation_501.diff, builds again fine with the support
  * Refresh no_gc_sections.diff and LLIntCLoop32BigEndian.patch
  * Fix watch file
  * Sync with Debian 5.1.1-1, remaining changes:
    - Build-depend on qtsensors and qtlocation
    - Keep the LLIntCLoop32BigEndian, file_access patches
    - Keep private headers
    - Keep workaround for a upstream dependency problem
  * Enable JIT again on armhf (drop disabling_jit_for_arm.patch)
  * debian/patches/bug_118860_qtwebkit_511.patch
    - Add isMainFrame property (LP: #1217683)

  [ Ricardo Salveti de Araujo ]
  * Refresh add_experimentalDevicePixelRatio.patch based on latest changes
    from upstream
  * debian/patches/gstreamer-build-issue-gst10.patch:
    - Fixing build issue with gstreamer 1.0 as fullscreen window is not yet
      support but it gets used via moc
  * debian/control:
    - Changing qt build-deps to depend on >= 5.0.2
    - Build-dep on gstreamer-1.0 instead of 0.10

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 19 Sep 2013 14:47:16 +0200

qtwebkit-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Sep 2013 14:22:55 -0300

qtwebkit-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Make m68k build with -gstabs instead of -g (Closes: #717686).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Aug 2013 01:00:32 -0300

qtwebkit-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt build depends to 5.1.0~.
  * Refresh pacthes.
  * Update symbols file.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 15 Jul 2013 12:16:00 -0300

qtwebkit-opensource-src (5.0.2-3) experimental; urgency=low

  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 22:10:41 -0300

qtwebkit-opensource-src (5.0.2-2) experimental; urgency=low

  [ Timo Jyrinki ]
  * Drop save_memory.diff, not useful in its current form.
  * Set DEB_HOST_MULTIARCH in rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Make the debug package also Multi-Arch: same.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Jun 2013 23:46:10 -0300

qtwebkit-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 19 May 2013 15:37:43 -0300

qtwebkit-opensource-src (5.0.1-0ubuntu6) saucy; urgency=low

  * Don't remove private headers before trying to install them

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Jul 2013 13:22:42 +0200

qtwebkit-opensource-src (5.0.1-0ubuntu5) saucy; urgency=low

  * Reship previous removed headers, they are needed by browser-app

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Jul 2013 12:07:31 +0200

qtwebkit-opensource-src (5.0.1-0ubuntu4) saucy; urgency=low

  [ Dmitry Shachnev ]
  * Cherry-pick some changes from Debian experimental:
    + Export QT_SELECT instead of build-depending on qt5-default.
    + Do not install private headers.
    + Set DEB_HOST_MULTIARCH in rules.
    + Build the documentation shipped with this submodule as a build-indep task:
      - Add the necessary indep build dependencies:
        * qttools5-dev-tools to use qhelpgenerator.
        * libqt5sql5-sqlite to generate qch doc.
    + Build and create packages for qch and HTML doc formats.

  [ Timo Jyrinki ]
  * Build with g++-4.7 on armhf to prevent FTBFS.
  * Remove private headers also from libqt5webkit5-dev.install

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jul 2013 08:52:53 +0300

qtwebkit-opensource-src (5.0.1-0ubuntu3) saucy; urgency=low


